# CodeQualityExtension

API Documentation: | `CodeQualityExtension`

### Properties

Property | Description
`ignoreFailures` | Whether or not to allow the build to continue if there are warnings. Example: ignoreFailures = true
`reportsDir` | The directory where reports will be generated.
`sourceSets` | The source sets to be analyzed as part of the `check` and `build` tasks.
`toolVersion` | The version of the code quality tool to be used.

### Property details

#### `boolean` `ignoreFailures`

Whether or not to allow the build to continue if there are warnings. Example: ignoreFailures = true

Default:
  `false`

#### `File` `reportsDir`

The directory where reports will be generated.

#### ``Collection`<`SourceSet`>` `sourceSets`

The source sets to be analyzed as part of the `check` and `build` tasks.

Default:
  `project.sourceSets`

#### `String` `toolVersion`

The version of the code quality tool to be used.

### Script blocks

No script blocks

### Methods

No methods